Filesystem Items
Move To Trash
POST
/
fs-items
/
move-to-trash
Move To Trash
curl --request POST \
--url https://api.aspect.inc/fs-items/move-to-trash \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"directory_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"symlink_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.aspect.inc/fs-items/move-to-trash"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"directory_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"symlink_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
asset_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
directory_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
symlink_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.aspect.inc/fs-items/move-to-trash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"moved_asset_count": 123,
"moved_directory_count": 123,
"moved_symlink_count": 0,
"revision_results": [
{
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
API request schema for moving filesystem items to the project trash.
The backend resolves the trash_directory_id from the project, so the client only needs to supply the project_id and the item IDs to trash. Conflict resolution is automatic (parenthesized numbering) and never requires user interaction.
Response
Successful Response
API response schema for moving filesystem items
Number of assets successfully moved
Number of directories successfully moved
Number of symlinks successfully moved
Per-item revision info for each moved item
Show child attributes
Show child attributes
⌘I
Move To Trash

